#!/bin/bash
# X Input method setup script for qt-immodule

# Load up the user and system locale settings
oldterm=$TERM
unset TERM
if [ -r /etc/profile.d/lang.sh ]; then
  . /etc/profile.d/lang.sh
fi
[ -n "$oldterm" ] && export TERM=$oldterm

tmplang=${LC_CTYPE:-${LANG:-"en_US.UTF-8"}}

## try to source ~/.xinput.d/ll_CC or /etc/X11/xinit/xinput.d/ll_CC to
## setup the input method for locale (CC is needed for Chinese for example)
# unset env vars to be safe
unset QT_IM_MODULE
lang_region=$(echo $tmplang | sed -e 's/\..*//')
for f in $HOME/.xinput.d/${lang_region} \
	    $HOME/.xinput.d/default \
	    /etc/X11/xinit/xinput.d/${lang_region} \
	    /etc/X11/xinit/xinput.d/default ; do
    [ -r $f ] && source $f && break
done
unset lang_region

[ -n "$QT_IM_MODULE" ] && export QT_IM_MODULE
